package com.luojigou.product.xiaodou

import android.content.Intent
import android.view.View
import android.widget.Button
import com.luojigou.product.R
import com.luojigou.product.base.BaseActivity

class XDIntroduceActivity : BaseActivity(), View.OnClickListener {

    private lateinit var buttonStart: Button

    override fun onCreate(savedInstanceState: android.os.Bundle?) {
        super.onCreate(savedInstanceState)
        setTitle("连接引导")

        buttonStart = findViewById(R.id.btn_xd_start)
        buttonStart.setOnClickListener(this)
    }

    override fun getLayoutId(): Int = R.layout.activity_xd_introduce

    override fun onClick(v: View?) {
        when (v?.id) {
            R.id.btn_xd_start -> {
                val intent = Intent(this, XDScanBLEActivity::class.java)
                startActivity(intent)
            }
        }
    }
}